Printago API
POST /v1/profiles/preview

Preview profiles from a file

Requires: profile.create

Response Schema

ProfilePreviewResult
bundleTyperequired
any
profilesrequired
object
filamentrequired
object[]
coloroptional
string
existsInStorerequired
boolean
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
any
machinerequired
object[]
coloroptional
string
existsInStorerequired
boolean
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
any
processrequired
object[]
coloroptional
string
existsInStorerequired
boolean
filamentTypeoptional
string
filamentVendoroptional
string
inheritsoptional
string
namerequired
string
typerequired
any
totalCountrequired
number

Example Response

201 OK — application/json
{
  "profiles": {
    "machine": [
      {
        "name": "string",
        "inherits": "string",
        "filamentType": "string",
        "filamentVendor": "string",
        "color": "string",
        "existsInStore": true
      }
    ],
    "filament": [
      {
        "name": "string",
        "inherits": "string",
        "filamentType": "string",
        "filamentVendor": "string",
        "color": "string",
        "existsInStore": true
      }
    ],
    "process": [
      {
        "name": "string",
        "inherits": "string",
        "filamentType": "string",
        "filamentVendor": "string",
        "color": "string",
        "existsInStore": true
      }
    ]
  },
  "totalCount": 1
}